View Issue Details

IDProjectCategoryView StatusLast Update
0004419SymmetricDSBugpublic2020-06-24 16:47
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.1Fixed in Version3.12.1 
Summary0004419: HTTP2 Connection response body not closed
DescriptionWhen HTTP2 is enabled, the service warns about the connection response body not being closed. It doesn't seem to prevent synchronization, so it might be cleaning up on its own.

2020-06-09 10:16:05,159 WARN [] [OkHttpClient] [OkHttp ConnectionPool] A connection to http://zulu:31415/ was leaked. Did you forget to close a response body? To see where this was allocated, set the OkHttpClient logger level to FINE: Logger.getLogger(OkHttpClient.class.getName()).setLevel(Level.FINE);
Tagsruntime

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 139d64a6

2020-06-09 10:58:42

admin

Details Diff
0004419: HTTP2 Connection response body not closed
0004419
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpIncomingTransport.java Diff File

Issue History

Date Modified Username Field Change
2020-06-09 10:57 elong New Issue
2020-06-09 10:57 elong Status new => assigned
2020-06-09 10:57 elong Assigned To => elong
2020-06-09 10:57 elong Tag Attached: runtime
2020-06-09 10:59 elong Status assigned => resolved
2020-06-09 10:59 elong Resolution open => fixed
2020-06-09 10:59 elong Fixed in Version => 3.12.1
2020-06-10 11:00 admin Changeset attached => SymmetricDS 3.12 139d64a6
2020-06-24 16:47 admin Status resolved => closed